=== inc/CMakeLists.txt ===
set(api_files heinz/Complex.h heinz/Vectors3D.h heinz/Rotations3D.h)

install(
    FILES ${api_files}
    DESTINATION include/heinz
    COMPONENT Headers)
