=== debian/changelog ===
libheinz (2.0.0-3) unstable; urgency=medium

  * Backport commit 7fbc645d from upstream Git.

 -- Roland Mas <lolando@debian.org>  Thu, 09 May 2024 22:52:01 +0200

libheinz (2.0.0-2) unstable; urgency=medium

  * Update debian/watch.

 -- Roland Mas <lolando@debian.org>  Sun, 15 Oct 2023 16:48:54 +0200

libheinz (2.0.0-1) unstable; urgency=medium

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Wed, 26 Jul 2023 00:10:17 +0200
