=== debian/control ===
Source: libheinz
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Roland Mas <lolando@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Standards-Version: 4.6.2
Homepage: https://jugit.fz-juelich.de/mlz/libheinz
Vcs-Browser: https://salsa.debian.org/science-team/libheinz
Vcs-Git: https://salsa.debian.org/science-team/libheinz.git

Package: libheinz-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
Description: C++ base library of Heinz Maier-Leibnitz Zentrum
 C++ base library used by other projects by Heinz Maier-Leibnitz
 Zentrum, in particular bornagain.
